%global upstream_name requests-kerberos
%global module_name requests_kerberos
%global commit0 75d29584a0c40a17a0bed8f228707bf53f703fdc
%global gittag0 v0.10.0
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           python-%{upstream_name}
Version:        0.10.0
Release:        %mkrel 3
Summary:        A Kerberos authentication handler for python-requests
Group:          Development/Python
License:        MIT
URL:            https://github.com/requests/requests-kerberos
# Upstream considers Github not PyPI to be the authoritative source tarballs:
# https://github.com/requests/requests-kerberos/pull/78
Source0:        https://github.com/requests/requests-kerberos/archive/%{commit0}.tar.gz#/%{upstream_name}-%{shortcommit0}.tar.gz
# Upstream has switched their requirement to the "pykerberos" fork, but for now 
# we still have the original "kerberos" module in Fedora.
Patch1:         0001-switch-requirement-from-pykerberos-back-to-kerberos.patch
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pytest >= 2.9.2-2
BuildRequires:  python-mock
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest >= 2.9.2-2
BuildRequires:  python3-mock

%description
Requests is an HTTP library, written in Python, for human beings. This library 
adds optional Kerberos/GSSAPI authentication support and supports mutual 
authentication.

%package -n python2-%{upstream_name}
Summary:        %{summary}
Group:          Development/Python
Requires:       python-requests >= 1.1
Requires:       python2-kerberos
# runtime requirements are needed for tests also
BuildRequires:  python-requests >= 1.1
BuildRequires:  python2-kerberos
Provides:       python-%{upstream_name} = %{version}-%{release}

%description -n python2-%{upstream_name}
Requests is an HTTP library, written in Python, for human beings. This library 
adds optional Kerberos/GSSAPI authentication support and supports mutual 
authentication.

%package -n python3-%{upstream_name}
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-requests >= 1.1
Requires:       python3-kerberos
# runtime requirements are needed for tests also
BuildRequires:  python3-requests >= 1.1
BuildRequires:  python3-kerberos

%description -n python3-%{upstream_name}
Requests is an HTTP library, written in Python, for human beings. This library 
adds optional Kerberos/GSSAPI authentication support and supports mutual 
authentication.

%prep
%setup -q -n %{upstream_name}-%{commit0}
%patch1 -p1

%build
%py2_build
%py3_build

%check
py.test-2 test_requests_kerberos.py
py.test-3 test_requests_kerberos.py

%install
%py2_install
%py3_install

%files -n python2-%{upstream_name}
%license LICENSE
%doc README.rst AUTHORS HISTORY.rst
%{python2_sitelib}/%{module_name}
%{python2_sitelib}/%{module_name}*.egg-info

%files -n python3-%{upstream_name}
%license LICENSE
%doc README.rst AUTHORS HISTORY.rst
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}*.egg-info



%changelog
* Wed Nov 30 2016 ngompa <ngompa> 0.10.0-3.mga6
+ Revision: 1071099
- imported package python-requests-kerberos

